Loading...
Searching...
No Matches
openshot::InvalidJSONKey Class Reference

Exception for missing JSON Change key. More...

`#include <Exceptions.h>`

Inheritance diagram for openshot::InvalidJSONKey:

## Public Member Functions

| InvalidJSONKey (std::string message, std::string json)
| Constructor.
std::string | py_message () const override
virtual | ~InvalidJSONKey () noexcept
Public Member Functions inherited from openshot::ExceptionBase
| ExceptionBase (std::string message)
virtual const char * | what () const noexcept
virtual | ~ExceptionBase () noexcept

## Public Attributes

std::string | json

## Additional Inherited Members

Protected Attributes inherited from openshot::ExceptionBase
std::string | m_message

## Detailed Description

Exception for missing JSON Change key.

Definition at line 262 of file Exceptions.h.

## Constructor & Destructor Documentation

## InvalidJSONKey()

openshot::InvalidJSONKey::InvalidJSONKey | ( | std::string | message,
|  | std::string | json )

inline

Constructor.

Parameters

  message | A message to accompany the exception
  json | The json data being processed

Definition at line 272 of file Exceptions.h.

## ~InvalidJSONKey()

virtual openshot::InvalidJSONKey::~InvalidJSONKey | ( |  | ) |

inline virtual noexcept

Definition at line 274 of file Exceptions.h.

## Member Function Documentation

## py_message()

std::string openshot::InvalidJSONKey::py_message | ( |  | ) | const

inline override virtual

Reimplemented from openshot::ExceptionBase.

Definition at line 275 of file Exceptions.h.

## Member Data Documentation

## json

std::string openshot::InvalidJSONKey::json

Definition at line 265 of file Exceptions.h.

Referenced by InvalidJSONKey(), and py_message().

The documentation for this class was generated from the following file:

- Exceptions.h